First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 15743
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Daniel Ahlberg (RETIRED) <aliz@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Daniel Seyffer <gentoo-bugs@seyffer.de>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
chkrootkit-0.39a.ebuild updated ebuild file text/plain Daniel Seyffer 2003-02-15 10:22 0000 689 bytes Details
chkrootkit-0.39a-gentoo.diff new patch file patch Daniel Seyffer 2003-02-15 10:23 0000 27.56 KB Details | Diff
digest-chkrootkit-0.39a last but not least - the digest file. text/plain Daniel Seyffer 2003-02-15 10:25 0000 67 bytes Details
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 15743 depends on: Show dependency tree
Show dependency graph
Bug 15743 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2003-02-15 10:21 0000
Hi,

There is once again a new version of chkrootkit available, including a number of
improvements/additions - see www.chkrootkit.org regarding details...

I updated the ebuild and the patch file. 

And while I was at it, I also fixed 3 errors lintool reported. (There is still
one left regarding a problem with the copyright header - as I don't see what
should be wrong about it and I was too lazy to check it, I blatantly ignored it.
;-) )

So find attached an updated ebuild, digest file and updated patch. I also used
${VARNAME} instead of $VARNAME - which should be more or less "unnecessary" but
one never knows... 

I did emerge the package and did a quick test run - seems to work fine.

Changes are trivial but maybe a diff for the ebuild can't be wrong:
--------------------------------------------------------------------------------
--- chkrootkit-0.37.ebuild      2003-02-13 06:51:19.000000000 +0100
+++ chkrootkit-0.39a.ebuild     2003-02-15 16:06:16.000000000 +0100
@@ -1,6 +1,6 @@
 # Copyright 1999-2003 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header:
/home/cvsroot/gentoo-x86/app-admin/chkrootkit/chkrootkit-0.37.ebuild,v 1.9
2003/02/13 05:17:39 vapier Exp $
+# $Header: $

 DESCRIPTION="chkrootkit is a tool to locally check for signs of a rootkit."
 SRC_URI="ftp://ftp.pangeia.com.br/pub/seg/pac/${P}.tar.gz"
@@ -11,11 +11,13 @@
 SLOT="0"

 DEPEND="virtual/glibc"
+RDEPEND="${DEPEND}"
+IUSE=""

 src_unpack() {
        unpack ${A}
        cd ${S}
-       patch -p0 < ${FILESDIR}/${PF}-gentoo.diff || die
+       einfo `patch -p0 < ${FILESDIR}/${PF}-gentoo.diff || die`
 }

 src_compile() {
@@ -23,6 +25,6 @@
 }

 src_install() {
-       dosbin check_wtmpx chklastlog chkproc chkrootkit chkwtmp ifpromisc
+       dosbin check_wtmpx chklastlog chkproc chkrootkit chkwtmp ifpromisc
        dodoc COPYRIGHT README README.chklastlog README.chkwtmp
 }

--------------------------------------------------------------------------------

Thanks a lot. 
best regards,
Daniel Seyffer








Reproducible: Always
Steps to Reproduce:
1.
2.
3.

------- Comment #1 From Daniel Seyffer 2003-02-15 10:22:42 0000 -------
Created an attachment (id=8301) [edit]
updated ebuild file

------- Comment #2 From Daniel Seyffer 2003-02-15 10:23:47 0000 -------
Created an attachment (id=8302) [edit]
new patch file

------- Comment #3 From Daniel Seyffer 2003-02-15 10:25:20 0000 -------
Created an attachment (id=8303) [edit]
last but not least - the digest file.

------- Comment #4 From Daniel Ahlberg (RETIRED) 2003-02-27 06:07:08 0000 -------
Commited, thanks for finding this! 

First Last Prev Next    No search results available      Search page      Enter new bug